LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Classes | Namespaces | Functions
file.hxx File Reference
`#include "sal/config.h"`
`#include <string.h>`
`#include <cassert>`
`#include <cstddef>`
`#include "sal/log.hxx"`
`#include "osl/time.h"`
`#include "rtl/ustring.hxx"`
`#include "osl/file.h"`
`#include "osl/diagnose.h"`
`#include "rtl/byteseq.hxx"`
`#include <stdio.h>`

Go to the source code of this file.

## Classes
class | osl::FileBase
| Base class for all File System specific objects. More...
class | osl::VolumeDevice
| The VolumeDevice class. More...
class | osl::VolumeInfo
| The VolumeInfo class. More...
class | osl::FileStatus
| The FileStatus class. More...
class | osl::File
| The file class object provides access to file contents and attributes. More...
class | osl::DirectoryItem
| The directory item class object provides access to file status information. More...
class | osl::DirectoryCreationObserver
| Base class for observers of directory creation notifications. More...
class | osl::Directory
| The directory class object provides a enumeration of DirectoryItems. More...

## Namespaces
| osl

## Functions
void | osl::onDirectoryCreated (void *pData, rtl_uString *aDirectoryUrl)